insert ignore into `ombutel`.`ombu_modules` (`name`, `has_dialplan`, `admin`, `version`, `portal`)
values ("complete_concierge", "no", "yes", "1.0", "no");

select `module_id` into @module_id
from `ombutel`.`ombu_modules`
where `name` = 'complete_concierge';

insert ignore into `ombutel`.`ombu_menu` (`label`, `parent_id`, `module_id`, `icon`, `sort`)
select "menu.hospitality", `parent`.`menu_id`, null, 'fa fa-hotel', 7
from `ombutel`.`ombu_menu` as `parent` where `label` = 'menu.settings' and `parent_id` is null;

insert ignore into `ombutel`.`ombu_menu` (`label`, `parent_id`, `module_id`, `sort`)
select "module.complete_concierge", `parent`.`menu_id`, @module_id, 1
from `ombutel`.`ombu_menu` as `parent` where `label` = 'menu.hospitality';

insert ignore into `ombutel`.`ombu_role_privileges` (`role_id`, `module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`)
select `role_id`, @module_id, "yes", "yes", "yes", "yes" from `ombutel`.`ombu_roles` where `superadmin` = "yes";

insert ignore into `ombutel`.`ombu_feature_code_groups` (`group_name`, `description`)
values ('complete_concierge', 'Complete Concierge');

select `feature_code_group_id` into @group_id
from `ombutel`.`ombu_feature_code_groups`
where `group_name` = 'complete_concierge';

insert ignore into `ombutel`.`ombu_feature_codes` (
	`feature_code_group_id`, `feature_name`, `defaultnumber`, `func`,
	`prefix`, `sufix`, `sendlength`, `edit`, `generate`,`display`
) values
	(@group_id, "cc_room_status_inline", "22", "cc_room_status_inline", "_", "*X", "yes", "yes", "yes", "no"),
	(@group_id, "cc_minibar", "23", "cc_minibar", "_", null, "no", "yes", "yes", "yes"),
	(@group_id, "cc_room_status", "22", "cc_room_status", "_", null, "no", "yes", "yes", "yes");

insert ignore into `ombutel`.`ombu_numbers` (`module_id`, `number`)
select `module_id`, `number`
from (select "22" as `number` union all select "23") as tmp
left join `ombutel`.`ombu_modules` on (`name` = "feature_code")
where `module_id` is not null;

insert ignore into `ombutel`.`ombu_applications` (`name`, `key`) values
	("complete_concierge", unhex("133956121a458f6bcd024b46fcfbc26643cf43a7ed5577e131fb971f57ec3e0a688677f7c5a81ed042765934de6704e79523c084a9feb70f6cd278754198dee6"));
