create table `hospitality`.`roomtranslation` (
	`id` int unsigned not null auto_increment,
	`extension_id` int unsigned not null,
	`roomnumber` varchar(255) not null,
	-- `occupied` int unsigned not null, -- not used

	-- read from CDR, is part of feature code (eg *0*), updates CDR cleartext column using rstranslation , placed in bufferout by pbcalc
	-- `roomstatus` varchar(255) not null, -- not really needed

	-- read from buffer, represents guest name, should be used to update extension description
	-- `name1` varchar(255),

	-- `name2` varchar(255), -- not used
	-- `street` varchar(255), -- not used
	-- `housenr` varchar(255), -- not used
	-- `zip` varchar(255), -- not used
	-- `city` varchar(255), -- not used
	-- `country` varchar(255), -- not used

	-- read from buffer, should be used to update extension language
	-- `guestlanguage` varchar(255),

	-- read from buffer, should be used to update extension status
	-- `dnd` varchar(255),

	-- `phonestatus` varchar(255), -- not used
	-- `wakeup` varchar(255), -- not used
	-- `limit` decimal(13,5) not null default 0.00000, -- not used
	-- `amount` decimal(13,5) not null default 0.00000, -- not used
	-- `component` varchar(255), -- not used
	primary key(`id`),
	foreign key (`extension_id`) references `ombutel`.`ombu_extensions`(`extension_id`) on delete cascade
);
