create table `hospitality`.`settings` (
	`name` varchar(255) not null,
	`value` varchar(255) not null,
	primary key (`name`)
);

insert into `hospitality`.`settings` (`name`, `value`) values
	("pms_type", "fias"),
--	COM table
	("PMSIP", "10.0.0.10"),
	("PMSPORT", "5010"),
	("chargeby", 0),
--	cc_settings table
--	fias_ka - keep-alive mode: 0-disabled; 1-enabled (default); 2-ignore timeout
	("fias_ka", 1),
--	pbExec debug level bits: 1- messages, 2- print counter
	("pbExec_debug", 3),
	("pbFIAS_debug", 3),
	("pbCalc_debug", 3),
--	Class Of Service on GI/GO
--	0,1,2,3 - standard FIAS CS; n (default) - don't set CS automatically
--	For FIAS: set_cs_on_gi = n, set_cs_on_go = n
	("set_cs_on_gi", "n"),
	("set_cs_on_go", "n"),
--	For Mitel: set_cs_on_gi = 3, set_cs_on_go = 0
	("mitel_bindaddr", "0.0.0.0:5010"),
	("smdr_bindaddr", "0.0.0.0:5011"),
	("hobic_bindaddr", "0.0.0.0:5011"),
--	Debug level bits: 1- TCP, 2- Messages
	("smdr_debug", 3),
	("hobic_debug", 3),
	("mitel_debug", 3),
--	settings table
	("postingno", 1),
	("adminpasswd", "pbillx"),
	("pbexecstatus", 0),
	("pbfiasstatus", 0),
	("pbcalcstatus", 0),
	("pbexecreqstatus", 0),
	("pbfiasreqstatus", 0),
	("pbcalcreqstatus", 0),
	("doreload", 1),
	("numberofrooms", 10),
	("res1", 0),
	("res2", 0),
	("res3", " "),
	("tax", "0.00000"),
	("cs0", ""),
	("cs1", ""),
	("cs2", ""),
	("cs3", "");
